class ItemsController < ApplicationController
  # GET /items
  # GET /items.json
  def index
    @source = Source.find(params[:source_id])
    @items = @source.items
    # Convertim els articles (items) a format XML
    doc = Nokogiri::XML(@items.to_xml)
    # Obtenim els articles mitjançant una fulla d'estil XSL que transforma el XML anterior en HTML per afegir a la pàgina
    xslt = Nokogiri::XSLT(File.read("#{Rails.root}/app/xsl/items.xsl"))    
    @items_output = xslt.transform(doc)    
    
    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @items }
    end
  end

end
