class Item
  include Mongoid::Document
  include Mongoid::Timestamps
  field :title
  field :url
  field :author
  field :content
  field :published, :type => DateTime
  field :item_id # GUID
  field :categories
  embedded_in :source, :inverse_of => :items
end
