# coding: utf-8

require 'spec_helper'

describe "SelectionRules" do
  
  before(:each) do
    @source = Factory.create(:source)
    @source.selection_rule = Factory.create(:selection_rule)
  end
    
  describe "GET /selection_rules" do
    it "edits selection rule" do
      visit edit_source_selection_rule_path(@source)
      # Verifiquem que el camp 'Contingut' del formulari conté el valor 'W3C' igual que l'objecte creat
      find('#selection_rule_content').value.should eq 'W3C'
      # Verifiquem que el camp 'Autor' del formulari conté el valor 'Jacobs' igual que l'objecte creat
      find('#selection_rule_author').value.should eq 'Jacobs'
    end
  end
end
