require "spec_helper"

describe SelectionRulesController do
  describe "routing" do

    before(:each) do
      @source = Factory.create(:source)
    end

    it "routes to #edit" do
      get("/sources/#{@source.id}/selection_rule/edit").should route_to("selection_rules#edit", :source_id => @source.id.to_s)
    end

    it "routes to #create" do
      post("/sources/#{@source.id}/selection_rule").should route_to("selection_rules#create", :source_id => @source.id.to_s)
    end

    it "routes to #update" do
      put("/sources/#{@source.id}/selection_rule").should route_to("selection_rules#update", :source_id => @source.id.to_s)
    end

  end
end
