class Source
  include Mongoid::Document
  include Mongoid::Timestamps
  include FeedParser
  include OpendocumentExporter
  field :title
  field :description
  field :language
  field :url
  field :updated, :type => DateTime
  embeds_many :items
  embeds_one :selection_rule
end
